Bug 58363 - gnome-terminal fails to get focus on mouse click
Summary: gnome-terminal fails to get focus on mouse click
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sawfish   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-15 05:46 UTC by kenneth_porter
Modified: 2007-04-18 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-03 18:36:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description kenneth_porter 2002-01-15 05:46:35 UTC
Clicking in the terminal area of an unfocused gnome-terminal does not set the focus to the window, 
but leaves it at the last focused application. For new users, the principle of least surprise 
would suggest that the window should acquire focus when clicked on anywhere.

gnome-core-
1.4.0.4-38

Comment 1 Havoc Pennington 2002-01-15 05:52:37 UTC
This really has to do with Sawfish not g-t, assuming you are using Sawfish.

Doesn't the same thing happen with every other application as well? Clicking in
the main part of the window rather than on the titlebar doesn't focus the window?

Comment 2 kenneth_porter 2002-01-15 06:02:11 UTC
I'm using Sawfish (the standard setup that came with RH7.2) and I'm having trouble getting 
consistent focus behavior. Ximian Evolution will accept focus if clicked on anywhere. Mozilla 
and Pan require that I click the title bar. g-t seems to have a 3-state action when I click on the panel 
button, going from surfaced to focused to minimized.

My biggest problem is that I'll click on 
the terminal's panel button and see it surface but not notice that it didn't focus, so my 
keystrokes continue to go to the previous application, sometimes to disasterous effect.

Comment 3 Havoc Pennington 2002-01-15 06:11:10 UTC
Yeah these issues aren't the apps fault in general, they are mostly to be blamed
on Sawfish.

If you're up for it you might try the new Sawfish version 
at ftp://people.redhat.com/hp/gnomehide/ and let me know if that helps.
You may also need rep-gtk, librep packages from that directory. But you
shouldn't need much if any of the other stuff in there in order to upgrade Sawfish.

Comment 4 Havoc Pennington 2002-03-01 15:25:41 UTC
Sawfish 1.0.1 may fix this, let me know.

Comment 5 Havoc Pennington 2004-11-03 18:36:59 UTC
Closing ancient bugs


Note You need to log in before you can comment on or make changes to this bug.